{
	"prepare LaTeX Document": {
		"prefix": "latex-prepare",
		"body": [
			"\\documentclass{article}\n",
			"\\input{~/projects/latex/dist/recommended.tex}\n",
			"\\setup{$1}\n",
			"\\begin{document}",
			"\\startDocument",
			"\\usetcolorboxes",
			"$2\n\n",
			"\\end{document}"
		],
		"description": "Prepares a full LaTeX Document for use and compiling"
	},
	"Fancy table": {
		"prefix": "table",
		"body": [
			"\\begin{tables}{$1}{$2}\n",
			"\t$3\\\\",
			"\\end{tables}"
		],
		"description": "Insert a table (without environment)"
	},
	"Formula": {
		"prefix": "formula",
		"body": [
			"\\begin{formula}[]{$1}",
			"\t$2",
			"\\end{formula}"
		],
		"description": "Inserts a tcolorbox to provide a formula (red)"
	},
	"Definition": {
		"prefix": "definition",
		"body": [
			"\\begin{definition}[]{$1}",
			"\t$2",
			"\\end{definition}"
		],
		"description": "Inserts a tcolorbox to provide a definition (blue)"
	},
	"Recall": {
		"prefix": "recall",
		"body": [
			"\\begin{recall}[]{$1}",
			"\t$2",
			"\\end{recall}"
		],
		"description": "Inserts a tcolorbox to provide a recall / revision of previous knowledge (yellow)"
	},
	"Important Remarks": {
		"prefix": "remarks",
		"body": [
			"\\begin{remark}[]{$1}",
			"\t$2",
			"\\end{remark}"
		],
		"description": "Inserts a tcolorbox to provide remarks (green), but here numbered"
	},
	"Remark (numbered)": {
		"prefix": "remark",
		"body": [
			"\\begin{remarks}[]{$1}",
			"\t$2",
			"\\end{remarks}"
		],
		"description": "Inserts a tcolorbox to provide remarks (green)"
	},
	"Guides": {
		"prefix": "guides",
		"body": [
			"\\begin{guides}[]{$1}{${2:Usage}}",
			"\t$2",
			"\\end{guides}"
		],
		"description": "Inserts a tcolorbox to provide guides / instructions on how to use (red)"
	},
	"Properties": {
		"prefix": "properties",
		"body": [
			"\\begin{properties}[]{$1}",
			"\t$2",
			"\\end{properties}"
		],
		"description": "Inserts a tcolorbox to inform about properties"
	},
	"Restrictions": {
		"prefix": "restrictions",
		"body": [
			"\\begin{restrictions}[]{$1}",
			"\t$2",
			"\\end{restrictions}"
		],
		"description": "Inserts a tcolorbox to inform about restrictions"
	},
	"Intuition": {
		"prefix": "restrictions",
		"body": [
			"\\begin{intuition}[]{$1}",
			"\t$2",
			"\\end{intuition}"
		],
		"description": "Tcolorbox to highlight sections about intuition"
	},
	"Limitations": {
		"prefix": "limitations",
		"body": [
			"\\begin{limitations}[]{$1}",
			"\t$2",
			"\\end{limitations}"
		],
		"description": "Inserts a tcolorbox to inform about limitations"
	},
	"Theorem": {
		"prefix": "theorem",
		"body": [
			"\\begin{theorem}[]{$1}",
			"\t$2",
			"\\end{theorem}"
		],
		"description": "Inserts a tcolorbox to inform about theorems"
	},
	"Lemma": {
		"prefix": "lemma",
		"body": [
			"\\begin{lemma}[]{$1}",
			"\t$2",
			"\\end{lemma}"
		],
		"description": "Inserts a tcolorbox to inform about lemmas"
	},
	"Corollary": {
		"prefix": "corollary",
		"body": [
			"\\begin{corollary}[]{$1}",
			"\t$2",
			"\\end{corollary}"
		],
		"description": "Inserts a tcolorbox to inform about corollaries"
	},
	"Proposition": {
		"prefix": "proposition",
		"body": [
			"\\begin{proposition}[]{$1}",
			"\t$2",
			"\\end{proposition}"
		],
		"description": "Inserts a tcolorbox to inform about propositions"
	},
	"Fact": {
		"prefix": "fact",
		"body": [
			"\\begin{fact}[]{$1}",
			"\t$2",
			"\\end{fact}"
		],
		"description": "Inserts a tcolorbox to inform about facts"
	},
	"Terms": {
		"prefix": "terms",
		"body": [
			"\\begin{terms}[]{$1}",
			"\t$2",
			"\\end{terms}"
		],
		"description": "Inserts a tcolorbox to inform about terms"
	},
	"Proof": {
		"prefix": "proof",
		"body": [
			"\\begin{proof}[]{$1}",
			"\t$2",
			"\\end{proof}"
		],
		"description": "Inserts a tcolorbox to show a proof"
	},
	"Axiom": {
		"prefix": "axiom",
		"body": [
			"\\begin{axiom}[]{$1}",
			"\t$2",
			"\\end{axiom}"
		],
		"description": "Inserts a tcolorbox to show an axiom"
	},
	"Notation": {
		"prefix": "notation",
		"body": [
			"\\begin{notation}[]{$1}",
			"\t$2",
			"\\end{notation}"
		],
		"description": "Inserts a tcolorbox to show notation"
	},
    "Example": {
        "prefix": "example",
        "body": [
            "\\begin{example}[]{$1}",
            "\t$2",
            "\\end{example}"
        ],
        "description": "Inserts a tcolorbox to show example"
    },
    "Task": {
        "prefix": "task",
        "body": [
            "\\begin{task}[]{$1}",
            "\t$2",
            "\\end{task}"
        ],
        "description": "Inserts a tcolorbox to show example"
    },
	"Usage": {
		"prefix": "usage",
		"body": [
			"\\begin{usage}[]{$1}",
			"\t$2",
			"\\end{usage}"
		],
		"description": "Inserts a tcolorbox to inform about usage"
	},
	"Conjugation": {
		"prefix": "conjugation",
		"body": [
			"\\begin{conjugation}[]{$1}",
			"\t$2",
			"\\end{conjugation}"
		],
		"description": "Inserts a tcolorbox to inform about conjugation"
	},
	"Forms": {
		"prefix": "forms",
		"body": [
			"\\begin{forms}[]{$1}",
			"\t$2",
			"\\end{forms}"
		],
		"description": "Inserts a tcolorbox to inform about forms of e.g. grammatical structures"
	},
	"General-Tcolorbox": {
		"prefix": "general-tcb",
		"body": [
			"\\begin{general}[]{${1:title}}{${2:second title}}{${3|red,green,blue,cyan,magenta,yellow,black,gray,white,darkgray,lightgray,brown,lime,olive,orange,pink,purple,teal,violet|}}",
			"\t$4",
			"\\end{general}"
		],
		"description": "Inserts a tcolorbox for general purposes. First bracket is title, second one is second title, third one colour"
	},
	"Simple-Tcolorbox": {
		"prefix": "simple-tcb",
		"body": [
			"\\begin{simplebox}[]{${1|red,green,blue,cyan,magenta,yellow,black,gray,white,darkgray,lightgray,brown,lime,olive,orange,pink,purple,teal,violet|}}",
			"\t$2",
			"\\end{simplebox}"
		],
		"description": "Inserts a simple tcolorbox. No title, first argument the colour colour"
	},
	"Derivative": {
		"prefix": "derivative",
		"body": [
			"\\frac{\\mbox{d}}{\\mbox{d}x}$1"
		]
	},
	"Example (inline)": {
		"prefix": "example-inline",
		"body": [
			"\\inlineex"
		]
	},
	"Example (short)": {
		"prefix": "example-short",
		"body": [
			"\\shortex"
		]
	},
	"Definition (inline)": {
		"prefix": "definition-inline",
		"body": [
			"\\inlinedef"
		]
	},
	"Definition (short)": {
		"prefix": "definition-short",
		"body": [
			"\\shortdef"
		]
	},
	"Theorem (inline)": {
		"prefix": "theorem-inline",
		"body": [
			"\\inlinetheorem"
		]
	},
	"Theorem (short)": {
		"prefix": "theorem-short",
		"body": [
			"\\shorttheorem"
		]
	},
	"Lemma (inline)": {
		"prefix": "lemma-inline",
		"body": [
			"\\inlinelemma"
		]
	},
	"Lemma (short)": {
		"prefix": "lemma-short",
		"body": [
			"\\shortlemma"
		]
	},
	"Corollary (inline)": {
		"prefix": "corollary-inline",
		"body": [
			"\\inlinecorollary"
		]
	},
	"Corollary (short)": {
		"prefix": "corollary-short",
		"body": [
			"\\shortcorollary"
		]
	},
	"Proposition (inline)": {
		"prefix": "proposition-inline",
		"body": [
			"\\inlineproposition"
		]
	},
	"Proposition (short)": {
		"prefix": "proposition-short",
		"body": [
			"\\shortproposition"
		]
	},
	"Fact (inline)": {
		"prefix": "fact-inline",
		"body": [
			"\\inlinefact"
		]
	},
	"Fact (short)": {
		"prefix": "fact-short",
		"body": [
			"\\shortfact"
		]
	},
	"Axiom (inline)": {
		"prefix": "axiom-inline",
		"body": [
			"\\inlineaxiom"
		]
	},
	"Axiom (short)": {
		"prefix": "axiom-short",
		"body": [
			"\\shortaxiom"
		]
	},
	"Proof (inline)": {
		"prefix": "proof-inline",
		"body": [
			"\\inlineproof"
		]
	},
	"Proof (short)": {
		"prefix": "proof-short",
		"body": [
			"\\shortproof"
		]
	},
	"bold": {
		"prefix": "#bold",
		"body": [
			"\\textbf{$1}"
		]
	},
	"italic": {
		"prefix": "#i",
		"body": [
			"\\textit{$1}"
		]
	},
	"bolditalic": {
		"prefix": "#bi",
		"body": [
			"\\textbf{\\textit{$1}}"
		]
	},
	"underlinie": {
		"prefix": "#u",
		"body": [
			"\\underbar{$1}"
		]
	},
	"angles": {
		"prefix": "angles",
		"body": [
			"\\langle $1 \\rangle"
		]
	},
	"fill-width": {
		"prefix": "#fill",
		"body": [
			"\\hspace{\\fill}$1"
		]
	},
	"Latex-Colour": {
		"prefix": "colour",
		"body": [
			"${1|red,green,blue,cyan,magenta,yellow,black,gray,white,darkgray,lightgray,brown,lime,olive,orange,pink,purple,teal,violet|}"
		]
	},
	"Latex-Text-Colour": {
		"prefix": "colour-text",
		"body": [
			"\\color{${1|red,green,blue,cyan,magenta,yellow,black,gray,white,darkgray,lightgray,brown,lime,olive,orange,pink,purple,teal,violet|}}"
		]
	},
	"Set Language": {
		"prefix": "setLang",
		"body": [
			"\\setLang{$1}"
		]
	},
	"Letter": {
		"prefix": "latex-letter",
		"body": [
			"\\documentclass[12pt,a4paper]{scrlttr2}\n",
			"\\input{~/projects/latex/dist/letter.tex}\n",
			"% Subject",
			"\\setkomavar{subject}{$1}",
			"\\begin{document}\\raggedright",
			"\t\\begin{letter}{Company \\\\\\ Name \\\\\\ Address \\\\\\ CH-Place}",
			"\t\t\\opening{Intro}\n",
			"\t\t$2\n",
			"\t\t\\closing{Kind regards}",
			"\t\\end{letter}",
			"\\end{document}"
		]
	}
}
